---
title: Existing Backstage Plugins
---

1. **Catalog**:  
   - Used for managing services and microservices, including registration, visualization, and the ability to track dependencies and relationships between services. It serves as a central directory for all services in an organization.

2. **Docs**:  
   - Designed for creating and managing documentation, supporting formats such as Markdown. It helps teams organize and access technical and non-technical documentation in a unified interface.

3. **API Docs**:  
   - Automatically generates API documentation based on OpenAPI specifications or other API definitions, ensuring that your API information is always up to date and accessible for developers.

4. **TechDocs**:  
   - A tool for creating and publishing technical documentation. It is integrated directly into Backstage, allowing developers to host and maintain documentation alongside their projects.

5. **Scaffolder**:  
   - Allows the rapid creation of new projects based on predefined templates, making it easier to deploy services or infrastructure with consistent best practices.

6. **CI/CD**:  
   - Provides integration with CI/CD systems such as GitHub Actions and Jenkins, allowing developers to view build status, logs, and pipelines directly in Backstage.

7. **Metrics**:  
   - Offers the ability to monitor and visualize performance metrics for applications, helping teams to keep track of key indicators like response times and error rates.

8. **Snyk**:  
   - Used for dependency security analysis, scanning your codebase for vulnerabilities and helping to manage any potential security risks in third-party libraries.

9. **SonarQube**:  
   - Integrates with SonarQube to analyze code quality, providing insights into code health, including issues like technical debt, bugs, and security vulnerabilities.

10. **GitHub**:  
   - Enables integration with GitHub repositories, displaying information such as commits, pull requests, and other repository activity, making collaboration more transparent and efficient.

11. **CircleCI**:  
   - Allows seamless integration with CircleCI for managing CI/CD workflows, giving developers insight into build pipelines, test results, and deployment statuses.

12. **Kubernetes**:  
   - Provides tools to manage Kubernetes clusters, including visualizing pod status, logs, and cluster health, helping teams maintain and troubleshoot their cloud-native applications.

13. **Cloud**:  
   - Includes plugins for integration with cloud providers like AWS and Azure, allowing teams to manage cloud infrastructure, services, and billing directly from Backstage.

14. **OpenTelemetry**:  
   - Helps with monitoring distributed applications by integrating OpenTelemetry, offering powerful tools to trace requests, detect performance bottlenecks, and ensure application health.

15. **Lighthouse**:  
   - Integrates Google Lighthouse to analyze web application performance, helping teams identify areas for improvement in metrics like load times, accessibility, and SEO.
